View previous topic :: View next topic |
Author |
Message |
Ferdy Retired Dev
Joined: 04 May 2002 Posts: 483 Location: España
|
Posted: Sat May 17, 2003 10:36 pm Post subject: sSMTP and SSL |
|
|
Although ssmtp supports SSL; both the ebuild and the source needs a little hacking. Here is the two patches and the patch for the ebuild:
Makefile.in.diff
Code: |
--- Makefile.in.old 2003-05-11 20:19:13.000000000 +0200
+++ Makefile.in 2003-05-11 20:19:24.000000000 +0200
@@ -78,7 +78,7 @@
# Binaries:
ssmtp: $(OBJS)
- $(CC) -o ssmtp $(OBJS) @LIBS@
+ $(CC) -o ssmtp $(OBJS) @LIBS@ -lssl
vpath %.c $(srcdir)
|
net.c.diff
Code: |
--- net.c.old 2003-05-11 19:23:02.000000000 +0200
+++ net.c 2003-05-11 19:47:37.000000000 +0200
@@ -29,6 +29,9 @@
#ifdef HAVE_SSL
SSL *ssl;
+extern Bool UseTLS;
+extern Bool UseTLSCert;
+extern char *TLSCert;
#endif
|
ssmtp-2.48.ebuild.diff
Code: |
--- /usr/portage/net-mail/ssmtp/ssmtp-2.48.ebuild 2003-04-18 22:33:13.000000000 +0200
+++ /usr/local/portage/net-mail/ssmtp/ssmtp-2.48-r1.ebuild 2003-05-11 20:30:36.000000000 +0200
@@ -10,15 +10,22 @@
SLOT="0"
KEYWORDS="x86 ppc sparc alpha ~hppa arm mips"
LICENSE="GPL-2"
-IUSE=""
+IUSE="ssl"
-DEPEND="virtual/glibc"
-RDEPEND="!virtual/mta net-mail/mailbase"
+DEPEND="virtual/glibc
+ ssl? ( dev-libs/openssl )"
+RDEPEND="!virtual/mta net-mail/mailbase
+ ssl? ( dev-libs/openssl )"
PROVIDE="virtual/mta"
S=${WORKDIR}/${P}
-src_compile() {
+src_compile() {
+ if [ "`use ssl`" ]; then
+ epatch ${FILESDIR}/net.c.diff || die "epatch failed"
+ epatch ${FILESDIR}/Makefile.in.diff || die "epatch failed"
+ econf --enable-ssl
+ fi
make clean || die
make ${MAKEOPTS} || die
}
|
I've bugzilled it but it is still unassigned: https://bugs.gentoo.org/show_bug.cgi?id=20807
Just my .02 _________________ Paludis, the next generation in package mangling. |
|
Back to top |
|
|
PaperclipAlien n00b
Joined: 01 Jun 2003 Posts: 1
|
Posted: Sun Jun 01, 2003 6:25 pm Post subject: How do you patch the ssmtp ebuild? |
|
|
Hi Ferdy,
I've looked around the forum for instructions on patching ebuilds but haven't found any useful information. Therefore, I have a few questions about patching the ssmtp ebuild:
1. Where do you place the *.diff files used in the patch?
2. What command do you use to actually patch the ebuild?
3. If there are any more steps or requirements involved, what are they?
Thanks in advance for any information you are able to provide. I haven't patched anything but a kernel before, and SSL support for ssmtp will be very helpful in sending my e-mail.
--Shad |
|
Back to top |
|
|
Ferdy Retired Dev
Joined: 04 May 2002 Posts: 483 Location: España
|
Posted: Tue Jun 03, 2003 1:42 pm Post subject: |
|
|
Few days ago I bugzilled the ssmtp-2.60.3.ebuild which doesn't need any patch at all (https://bugs.gentoo.org/show_bug.cgi?id=21823). Just download the ebuild, place it in $PORTDIR_OVERLAY/net-mail/ssmtp and emerge it.
Just my .02 _________________ Paludis, the next generation in package mangling. |
|
Back to top |
|
|
|
|
You cannot post new topics in this forum You cannot reply to topics in this forum You cannot edit your posts in this forum You cannot delete your posts in this forum You cannot vote in polls in this forum
|
|